
var app = new Vue({
  el: '#app',
  template: "#main",
  data: function () {
    return {
      RLC: {
        R: 50,          // Ohm
        L: 20,          // mH
        C: 80,          // nF
        f: 4,           // kHz
      }
    }
  },
  methods: {

  },
  computed: {
    ZR: function(){
      return this.RLC.R.toFixed(3);
    },
    ZL: function(){
      //*1e-3 -> mH
      //*1e3* -> kHz
      return (2*Math.PI*this.RLC.f*1e3*this.RLC.L*1e-3).toFixed(3);
    },
    ZC: function(){
      //*1e-9 -> nF
      //*1e3 -> kHz
      return (1/(2*Math.PI*this.RLC.f*1e3*this.RLC.C*1e-9)).toFixed(3);
    },
    ZX: function(){
      return (this.ZL-this.ZC).toFixed(3);
    },
    absZ: function(){
      return (Math.sqrt(this.ZR * this.ZR + this.ZX * this.ZX)).toFixed(3);
    },
    f0: function(){
      //*1e-3 -> mH
      //*1e-9 -> nF
      return ((1/(2*Math.PI*Math.sqrt(this.RLC.L*1e-3 * this.RLC.C*1e-9)))*1e-3).toFixed(3);
    },
    isClose: function(){
      return (Math.abs(this.RLC.f - this.f0) < 0.1);
    }
  },
  created: function(){
    
  },
  mounted: function(){

  },
  components: {

  }
});
